package ecoparasite.population;

import ecoparasite.input.InputFactory;
import ecoparasite.input.InputFileException;
import ecoparasite.input.RawData;
import ecoparasite.input.RawDataOverflow;
import org.junit.jupiter.api.Test;

import java.util.HashSet;

import static org.junit.jupiter.api.Assertions.*;

class PopulationParsingTest {

    @Test
    void parseParasitesPeru() throws InputFileException, RawDataOverflow {

        RawData parasitesPeru = InputFactory.readData( InputFactory.DATA_PARASITES_PERU, "," );
        HashSet<Population> populations = Population.parse( parasitesPeru );
        System.out.println( populations);
    }

}